> For the complete documentation index, see [llms.txt](https://docs.intellizence.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intellizence.com/dataset-api-v1.0/layoff-dataset-api.md).

# Layoff Dataset API

POST /api/v1/dataset/layoff

**Request Body**

```
{
    "startDate": "start_date",
    "endDate": "end_date",
    "companyIds": ["company_id"],
    "industries": ["industry"],
    "industrySegments": ["segment"],
    "layoffTypes": ["layoffType"],
    "countries": ["country"],
    "count": "count",
    "limit": "limit"
}
```

<table data-header-hidden><thead><tr><th width="205"></th><th></th><th></th></tr></thead><tbody><tr><td>Param</td><td>Mandatory</td><td>Description</td></tr><tr><td>startDate</td><td>N</td><td>It will return records from Start Date (Last Modified Date) in format DD/MM/YYYY.</td></tr><tr><td>endDate</td><td>N</td><td>It will return records till End Date (Last Modified Date) in format DD/MM/YYYY.</td></tr><tr><td>companyIds</td><td>N</td><td>Array of Intellizence Company IDs. It will return records for these Company IDs. If Company IDs is not passed, records for all the tracked companies will be returned.</td></tr><tr><td>industries</td><td>N</td><td>Array of Industries.</td></tr><tr><td>industrySegments</td><td>N</td><td>Array of industry segments.</td></tr><tr><td>layoffTypes</td><td>N</td><td>Array of Layoff Types.</td></tr><tr><td>countries</td><td>N</td><td>Array of Company Headquarter countries.</td></tr><tr><td>count</td><td>N</td><td>Records with Deal Amount greater than or equal to this amount will be returned.</td></tr><tr><td>limit</td><td>N</td><td>Default value is 100 records. If Start Date and End Date are not passed, it will return latest 'N' records depending on limit value.</td></tr></tbody></table>

**Response Body**

```
[
    {
        "id": "66d5c726097bdb5ed9d10868",
        "announcedDate": "31/08/2024",
        "company": {
            "id": "IN000385",
            "name": "Intel",
            "domain": "www.intel.com",
            "industries": [
                "technology"
            ],
            "industrySegments": [],
            "location": "Santa Clara,California,United States of America",
            "ticker": [
                "INTC"
            ],
            "stockExchange": [
                "Nasdaq"
            ],
            "type": "Public"
        },
        "count": 730,
        "layoffType": [
            "Downsizing/Layoff"
        ],
        "location": {
            "country": "Ireland",
            "state": "Kildare",
            "city": "Leixlip"
        },
        "layoffReason": [
            "Restructuring"
        ],
        "businessDivision": "Intel",
        "url": "https://www.msn.com/en-in/autos/photos/intel-may-impose-mandatory-layoffs-on-over-700-employees-in-this-region-without-severance-check-details/ar-AA1pL3vz?ocid=BingNewsSerp",
        "title": "Intel May Impose Mandatory Layoffs On Over 700 Employees In This Region Without Severance",
        "lastModified": "02/09/2024"
    }
]
```

Check out [Intellizence Layoff Dataset - Data Dictionary](https://intellizence.com/data-dictionary/layoff-dataset/) to learn about the data fields and values.

[Start a Free Trial](https://intellizence.com/trial/) or [Schedule a Call](https://info.intellizence.com/meetings/intellizence/demo-schedule) to discuss subscription.
